LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Exported Interfaces | List of all members
TableDesign Service Referencepublished

implements a component which allows the creation of tables. More...

`import"TableDesign.idl";`

Inheritance diagram for TableDesign:

## Exported Interfaces
interface | com::sun::star::frame::XController
| allows the component to be plugged into frames. More...
interface | com::sun::star::lang::XInitialization
| is used to initialize the TableDesign. More...

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame. More...
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model. More...
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view More...
any | getViewData ()
| provides access to current view status More...
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData(). More...
XModel | getModel ()
| provides access to currently attached model More...
XFrame | getFrame ()
| provides access to owner frame of this controller More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

implements a component which allows the creation of tables.

This service implements a user interface for creating tables through a graphical design interface.

The design view of the TableDesign is divided into two parts. The first part contains the rows where columns can be defined for the table. The second part contains the properties of the selected column.

See also
  com::sun::star::sdb::ContentLoader
  com::sun::star::frame::XDispatch
  com::sun::star::frame::XDispatchProviderInterceptor

Since
  OOo 1.1.2

## Exported Interfaces

interface com::sun::star::frame::XController

allows the component to be plugged into frames.

interface com::sun::star::lang::XInitialization

is used to initialize the TableDesign.

Parameters (passed to the method com::sun::star::lang::XInitialization::initialize()) have to be instances of com::sun::star::beans::PropertyValue, where the com::sun::star::beans::PropertyValue::Name member specifies what the parameter controls, with the com::sun::star::beans::PropertyValue::Value member containing the value to be used.
Recognized parameters are:

- Frame
  has to be an com::sun::star::frame::XFrame interface specifying the frame to plug the TableDesign component into.
- DataSourceName
  The name of the globally registered DataSource to be used for initial display. It is only meaningful together with the other parameters specifying the object to display.
- CurrentTable
  This is a string giving the name of the object to display initially.

The documentation for this service was generated from the following file:

- com/sun/star/sdb/TableDesign.idl